[PC-BSD Commits] r19394 - pcbsd/current/src-sh/pc-adctl/scripts

svn at pcbsd.org svn at pcbsd.org
Wed Sep 19 11:01:13 PDT 2012


Author: johnh
Date: 2012-09-19 18:01:13 +0000 (Wed, 19 Sep 2012)
New Revision: 19394

Modified:
   pcbsd/current/src-sh/pc-adctl/scripts/pc-kerberos
Log:
Give krb5.conf readable permissions



Modified: pcbsd/current/src-sh/pc-adctl/scripts/pc-kerberos
===================================================================
--- pcbsd/current/src-sh/pc-adctl/scripts/pc-kerberos	2012-09-19 16:54:04 UTC (rev 19393)
+++ pcbsd/current/src-sh/pc-adctl/scripts/pc-kerberos	2012-09-19 18:01:13 UTC (rev 19394)
@@ -70,8 +70,13 @@
 
 	if [ "$?" = "0" -a -s "${tmp}" ]
 	then
+		local res
+
 		mv "${tmp}" "${PATH_KRB5_CONFIG}"
-		return $?
+		res=$?
+
+		chmod 644 "${PATH_KRB5_CONFIG}"
+		return ${res}
 	fi
 
 	for line in $(verify_krb5_conf 2>&1)



More information about the Commits mailing list